<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Basis\DozentenInfo\Detailsreiter\Kurse;

use Kufer\Web\Classes\ExportAdapter\ExpAdditionalVariables;


abstract class KurseRowView extends \Kufer\Web\KuferTools\Basis\View\ViewSight
{
  protected function getDefaultDataModulArray()
  {
    return array($this->viewModel->dozKurs);
  }

  protected function getDefaultExportAdapter()
  {
    return new ExpAdditionalVariables(new \ExportDozentenVertraege(), array(
      'is_header' => $this->viewModel->isHeader ? '1' : '0',
      'show_checkbox' => $this->viewModel->showCheckbox ? '1' : '0',
      'datamodulname' => $this->viewModel->dozKurs->getDatamodulName(),
      'datamodulid' => $this->viewModel->dozKurs->id,
    ));
  }
}